## Pobieranie paczki instalacyjnej z serwera

Paczkę instalacyjną pobieramy przy pomocy narzędzia: wget

Dostępne paczki instalacyjne znajdują się pod adresem:
http://support.edokumenty.eu/download/installation/linux-os/

Dla Debian 12 (Bookworm) pobieramy: ed-bookworm-installer-v12.0.5.zip<br>
      
      wget --user=[NAZWA] --password=[HASŁO] http://support.edokumenty.eu/download/installation/linux-os/ed-bookworm-installer-v12.0.5.zip

Po pobraniu paczki rozpakowujemy ją:

      unzip ed-bookworm-installer-v12.0.5.zip


## Instalacja systemu Symfonia eDokumenty z pobranej paczki instalacyjnej

Instalacja systemu Symfonia eDokumenty poprzez niniejszy instalator zakłada że bazowy system już działa i wymaga w zasadzie wykonania jednego skryptu instalacyjnego oraz kilku czynności dodatkowych.

1. Wykonaj skrypt

         ./install.sh
W przypadku problemów z uruchomieniem skryptu nadaj uprawniania do folderu w którym znajduje się instalator:

      chown -R root:root debian-bookworm-installer/
      chmod u+x debian-bookworm-installer/install.sh
      chmod u+x -R debian-bookworm-installer/bin

   * akceptuj instalację wszystkich pakietów – min. Apache, PHP, PostgrSQL oraz dodatków IONCube

   * zgadzaj się na podmianę plików konfiguracyjnych Apache, PHP, PostgrSQL - instalator zapyta czy chcesz wykonać ich kopię.


   Nie ma potrzeby restartować serwera apache – zrobi to skrypt instalacyjny Symfonia eDokumenty


2. Pobierz plik zip z aplikacją <br>
W konsoli zmień konto użytkownika na edokumenty, pobierz plik z aplikacją z serwera do katalogu domowego użytkownika edokumenty i rozpakuj.

         #su - edokumenty
         $wget --user=[USER] --password=[HASŁO] http://support.edokumenty.eu/download/application/ready/Ready_<WERSJA>.zip
         $unzip Ready_<WERSJA>.zip

   3. Utwórz foldery w katalogu Ready_™<br>
   su - root<br>
   $mkdir files<br>
   $mkdir maildir<br>
   $mkdir public_ftp<br>
   $mkdir repos<br>
   $mkdir repository<br>
   $mkdir users<br>
      <br>
   Ustaw właściciela dla wszystkich plików (cały katalog /home/edokumenty)<br>
   Uprawnienia można ustawić za pomocą polecenia
   $su - root
   $cd /home/edokumenty
   $/bin/fixperms.sh
   
4. Zmień nazwę katalogu instalacyjnego z install- na install

         $cd public_html/apps/edokumenty
         $mv install- install
         
5. Wykonaj kroki instalatora webowego<br>
Otwórz przeglądarkę na adres http://<adresIP> jeśli nie nastąpiło automatyczne przekierowanie przejdź do strony: http://<adresIP>/apps/edokumenty/install/<br>
Na pierwszym ekranie należy podać dane:<br>
adres serwera bazy – (puste)<br>
nazwa bazy – edokumenty<br>
nazwa użytkownika posiadającego uprawnienia do instalacji – edokumenty hasło – (puste)<br>
nazwa użytkownika do pracy – http hasło – (puste)<br>
<br>
6. Zabezpiecz prawa do plików<br>
Po zakończeniu instalacji zmień zpowrotem nazwę katalogu intalacyjnego na install-:

      $cd public_html/apps/edokumenty
      $mv install- install

Przydziel uprawnienia do pliku konfiguracyjnego config.inc<br>
    
      chown www-data:edokumenty public_html/apps/edokumenty/config.inc
      chmod g+w public_html/apps/edokumenty/config.inc

7. Sprawdź poprawność instalacji<br>
Przejdź do strony https://<adresIP>, powinna otworzyć się strona i zarządzać otwarcia nowego okna. Po zezwoleniu powinien się ukazać ekran logowania do systemu eDokumenty – logujemy się na konto administratora (ustawione w kreatorze).
